diff --git a/musescorerepository/musescore/mscore/mscore/musescore.cpp b/workspace/musescore/trunk/mscore/mscore/musescore.cpp
index 4feba22..c259cfa 100644
--- a/musescorerepository/musescore/mscore/mscore/musescore.cpp
+++ b/workspace/musescore/trunk/mscore/mscore/musescore.cpp
@@ -3628,10 +3628,16 @@ void MuseScore::networkFinished(QNetworkReply* reply)
       QString s(ha);
       QString name;
       QRegExp re(".*filename=\"(.*)\"");
-      if (s.isEmpty() || re.indexIn(s) == -1)
-            name = "unknown.mscz";
-      else
+      if (!s.isEmpty() && re.indexIn(s) != -1)
             name = re.cap(1);
+      else{
+    	  QUrl url = reply->url();
+    	  QString path = url.path();
+    	  qDebug("Path <%s>", qPrintable(path));
+    	  if(path.endsWith(".pdf") || path.endsWith(".mscz"))
+    		  name = path.section('/',-1);
+    	  else name = "unknown.mscz";
+      }
 
       // attachment; filename="Bilder_einer_Ausstellung.mscz"
 
